org.kie.internal.services

## Class KieAssemblersImpl

- java.lang.Object
- - org.kie.internal.services.KieAssemblersImpl

- All Implemented Interfaces:
    Consumer<org.kie.api.internal.assembler.KieAssemblerService>, org.kie.api.internal.assembler.KieAssemblers, org.kie.api.internal.utils.KieService, org.kie.api.Service

      public class KieAssemblersImpl
      extends Object
      implements org.kie.api.internal.assembler.KieAssemblers, Consumer<org.kie.api.internal.assembler.KieAssemblerService>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KieAssemblersImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(org.kie.api.internal.assembler.KieAssemblerService kieAssemblerService)`
    `void` | `addResource(Object knowledgeBuilder, org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type, org.kie.api.io.ResourceConfiguration configuration)`
    `void` | `addResources(Object knowledgeBuilder, List<org.kie.api.io.ResourceWithConfiguration> resources, org.kie.api.io.ResourceType type)`
    `Map<org.kie.api.io.ResourceType,org.kie.api.internal.assembler.KieAssemblerService>` | `getAssemblers()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

- - ### Constructor Detail

    - #### KieAssemblersImpl

          public KieAssemblersImpl()

  - ### Method Detail

    - #### getAssemblers

          public Map<org.kie.api.io.ResourceType,org.kie.api.internal.assembler.KieAssemblerService> getAssemblers()

    - #### addResource

          public void addResource(Object knowledgeBuilder,
                                  org.kie.api.io.Resource resource,
                                  org.kie.api.io.ResourceType type,
                                  org.kie.api.io.ResourceConfiguration configuration)
                           throws Exception

      Specified by:
        `addResource` in interface `org.kie.api.internal.assembler.KieAssemblers`
      Throws:
        `Exception`

    - #### addResources

          public void addResources(Object knowledgeBuilder,
                                   List<org.kie.api.io.ResourceWithConfiguration> resources,
                                   org.kie.api.io.ResourceType type)
                            throws Exception

      Specified by:
        `addResources` in interface `org.kie.api.internal.assembler.KieAssemblers`
      Throws:
        `Exception`

    - #### accept

          public void accept(org.kie.api.internal.assembler.KieAssemblerService kieAssemblerService)

      Specified by:
        `accept` in interface `Consumer<org.kie.api.internal.assembler.KieAssemblerService>`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.